<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="exclude-process" superservice="syslog">

 <lire:title>Exclude Process Filter</lire:title>

 <lire:description>
  <para>This filter can be used to exclude
   <structname>syslog</structname> records based on the value in the
   <structfield>process</structfield> field.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="process_match" type="string" default=".*">
   <lire:description>
    <para>Regular expression that excludes messages coming from matching
     processes. The match is case insensitive.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>excluded messages logged by processes matching $process_match</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:not>
   <lire:match value="$process" re="$process_match" case-sensitive="false"/>
  </lire:not>
 </lire:filter-spec>

</lire:global-filter-spec>
